# kimai-fly

[Kimai](https://www.kimai.org) on fly.io

```
flyctl volumes create kimaidata --size 3
flyctl proxy 3306 -a inv-db
# Use existing mariadb or create new, follow:
# https://fly.io/docs/app-guides/mysql-on-fly/
# If using an existing one, create new mariadb user + db
# mysql -h localhost -P 3306 -u root -p
# URL encode your mail address and password like this for MAILER_URL
nix run nixos#php -- -r "echo urlencode('jfw@miom.space');"
flyctl secrets set \
  MAILER_URL=smtps://jfw%40miom.space:your-great-password@mail.yourprovider.de:465 \
  DB_PASS=MYSQL_PASSWORD \
  APP_SECRET=change_this_to_something_unique \
  ADMIN_PASS=ADMIN_PASSWORD
flyctl deploy
flyctl ssh issue
flyctl ssh console
# On the vm
bash
apt update && apt install -y vim
mkdir /opt/kimai/public/assets
# Edit /opt/kimai/public/assets/local.yaml and paste custom keycloak config, see:
# https://www.kimai.org/documentation/1.30.0/saml-keycloak.html
# Back on your laptop
flyctl apps restart kimai-app
flyctl certs create track.faenix.eu
```
